Package io.milvus.param.index

## Class GetIndexStateParam.Builder

- java.lang.Object
- - io.milvus.param.index.GetIndexStateParam.Builder

- Enclosing class:
    GetIndexStateParam

      public static final class GetIndexStateParam.Builder
      extends java.lang.Object

  Builder for `GetIndexStateParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GetIndexStateParam` | `build()` | Verifies parameters and creates a new `GetIndexStateParam` instance.
    `GetIndexStateParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `GetIndexStateParam.Builder` | `withIndexName​(@NonNull java.lang.String indexName)` | The name of target index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public GetIndexStateParam.Builder withCollectionName​(@NonNull
                                                               @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withIndexName

          public GetIndexStateParam.Builder withIndexName​(@NonNull
                                                          @NonNull java.lang.String indexName)

      The name of target index. If no index name is specified, the default index name("_default_idx") is used.
      Parameters:
        `indexName` - index name
      Returns:
        `Builder`

    - #### build

          public GetIndexStateParam build()
                                   throws ParamException

      Verifies parameters and creates a new `GetIndexStateParam` instance.
      Returns:
        `GetIndexStateParam`
      Throws:
        `ParamException`